Skip to main content
POST
/
v2
/
notifications
/
webhooks
Create Webhook Subscription
curl --request POST \
  --url https://api.catenatelematics.com/v2/notifications/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "url": "<string>",
  "partner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "event_name": "driver_vehicle_association.added",
  "filters": {
    "fleet_ids": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "fleet_refs": [
      "<string>"
    ]
  },
  "secret": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "active"
}

Documentation Index

Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt

Use this file to discover all available pages before exploring further.

If the event name ends with ”.*”, it is a catch-all pattern. The API will create one webhook subscription for each action of that resource and return a list of webhooks.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Webhook create model

url
string<uri>
required

The target URL of the webhook

Required string length: 1 - 2083
event_name
required

Enum for webhook events

We need this list to be extensive and specific to avoid customers subscribing to events that don't exist or are not supported.

Available options:
driver_vehicle_association.added,
driver_vehicle_association.modified,
trailer_vehicle_association.added,
trailer_vehicle_association.modified,
invitation.created,
invitation.rejected,
invitation.declined,
invitation.viewed,
invitation.sent,
invitation.accepted,
invitation.expired,
invitation.deleted,
invitation.*,
connection.created,
connection.staled,
connection.*,
fleet_connection.created,
fleet_connection.*,
share_agreement.created,
share_agreement.updated,
share_agreement.deleted,
share_agreement.*,
webhook.created,
webhook.updated,
webhook.deleted,
webhook.staled,
webhook.activated,
webhook.paused,
webhook.*,
tsp.created,
tsp.requested,
vehicle.added,
vehicle.modified,
vehicle.removed,
vehicle.*,
trailer.added,
trailer.modified,
trailer.removed,
trailer.*,
trailer_location.added,
trailer_location.modified,
trailer_location.*,
trailer_status.added,
trailer_status.modified,
trailer_status.*,
execution.created,
execution.staled,
execution.failed,
execution.*,
schedule.deactivated,
schedule.*,
user.added,
user.modified,
user.removed,
user.*,
vehicle_location.added,
ifta_summary.added,
ifta_summary.modified,
ifta_summary.removed,
ifta_summary.*,
hos_availability.added,
hos_availability.modified,
hos_availability.removed,
hos_availability.*,
hos_daily_snapshot.added,
hos_daily_snapshot.modified,
hos_daily_snapshot.removed,
hos_daily_snapshot.*,
hos_event.added,
hos_event.modified,
hos_event.removed,
hos_event.*,
hos_violation.added,
hos_violation.modified,
hos_violation.removed,
hos_violation.*,
engine_log.added,
engine_log.modified,
engine_log.removed,
engine_log.*,
engine_status.added,
engine_status.modified,
message.added,
message.modified,
fuel_transaction.added,
fuel_transaction.modified,
resource_operation.created,
resource_operation.succeeded,
resource_operation.failed,
resource_operation.*
filters
WebhookFilters · object

Webhook filters

secret
string | null

The secret used to sign messages

Response

Successful Response

Webhook model

url
string<uri>
required

The target URL of the webhook

Required string length: 1 - 2083
partner_id
string<uuid>
required

The ID of the partner that owns the webhook

event_name
enum<string>
required

The event name that triggers the webhook

Available options:
driver_vehicle_association.added,
driver_vehicle_association.modified,
trailer_vehicle_association.added,
trailer_vehicle_association.modified,
invitation.created,
invitation.rejected,
invitation.declined,
invitation.viewed,
invitation.sent,
invitation.accepted,
invitation.expired,
invitation.deleted,
invitation.*,
connection.created,
connection.staled,
connection.*,
fleet_connection.created,
fleet_connection.*,
share_agreement.created,
share_agreement.updated,
share_agreement.deleted,
share_agreement.*,
webhook.created,
webhook.updated,
webhook.deleted,
webhook.staled,
webhook.activated,
webhook.paused,
webhook.*,
tsp.created,
tsp.requested,
vehicle.added,
vehicle.modified,
vehicle.removed,
vehicle.*,
trailer.added,
trailer.modified,
trailer.removed,
trailer.*,
trailer_location.added,
trailer_location.modified,
trailer_location.*,
trailer_status.added,
trailer_status.modified,
trailer_status.*,
execution.created,
execution.staled,
execution.failed,
execution.*,
schedule.deactivated,
schedule.*,
user.added,
user.modified,
user.removed,
user.*,
vehicle_location.added,
ifta_summary.added,
ifta_summary.modified,
ifta_summary.removed,
ifta_summary.*,
hos_availability.added,
hos_availability.modified,
hos_availability.removed,
hos_availability.*,
hos_daily_snapshot.added,
hos_daily_snapshot.modified,
hos_daily_snapshot.removed,
hos_daily_snapshot.*,
hos_event.added,
hos_event.modified,
hos_event.removed,
hos_event.*,
hos_violation.added,
hos_violation.modified,
hos_violation.removed,
hos_violation.*,
engine_log.added,
engine_log.modified,
engine_log.removed,
engine_log.*,
engine_status.added,
engine_status.modified,
message.added,
message.modified,
fuel_transaction.added,
fuel_transaction.modified,
resource_operation.created,
resource_operation.succeeded,
resource_operation.failed,
resource_operation.*
filters
WebhookFilters · object

Webhook filters

secret
string | null

The secret used to sign messages

created_at
string<date-time> | null
updated_at
string<date-time> | null
deleted_at
string<date-time> | null
id
string<uuid>
status
enum<string>
default:active

The current status of the webhook

Available options:
active,
paused,
stale,
deleted